/// Enum to store the state e.g. what should currently being displayed on the screen
pub enum AppState {
    All,
    Position,
    Speed,
    Altitude,
}

impl Default for AppState {
    /// Function to get the default state of the application
    fn default() -> Self {
        AppState::All
    }
}

impl AppState {
    pub fn next(&mut self) {
        match self {
            AppState::All => *self = AppState::Position,
            AppState::Position => *self = AppState::Speed,
            AppState::Speed => *self = AppState::Altitude,
            AppState::Altitude => *self = AppState::All,
        } 
    }
}
